Bug 1569792 - [DOCS] system wide proxy configuration for proxy env users in Host Preparation
Summary: [DOCS] system wide proxy configuration for proxy env users in Host Preparation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Michael Burke
QA Contact: Vikram Goyal
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 01:11 UTC by Takayoshi Kimura
Modified: 2021-06-10 15:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:50:30 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Takayoshi Kimura 2018-04-20 01:11:33 UTC
Document URL: 

https://docs.openshift.com/container-platform/3.9/install_config/install/host_preparation.html

Section Number and Name: 

Installation and Configuration / Installing a Cluster / Host Preparation

Describe the issue: 

There is no guide to set system wide proxy configuration for proxy env users at this moment and I think it'd be better to describe it in Host Preparation section.

Background: we've got some users define incomplete proxy configuration at various places, causes various errors related to proxy. For example, https://access.redhat.com/solutions/3419111 .

Suggestions for improvement: 

Recommend to set proxy in /etc/environment file and include OpenShift specific no_proxy values: https://access.redhat.com/solutions/3334841

Additional information: 


Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:

Comment 1 Michael Burke 2018-04-24 15:06:18 UTC
Takayoshi -- There is a reference in the Advanced Install topic to use the Ansible openshift_no_proxy variable (see Table 9). Does this address your concern to get no_proxy in the install docs? If so, I can add information on Openshift specific settings.

https://docs.openshift.com/container-platform/3.9/install_config/install/advanced_install.html

Comment 3 Takayoshi Kimura 2018-04-25 00:24:17 UTC
No openshift_no_proxy is not enough. Without global proxy setting, OpenShift installer repoquery sometime fails (See https://access.redhat.com/solutions/3419111) and users cannot access to their services using Kubernetes hostnames after installation anyway, it'd be better to define it at the host preparation stage.

Comment 4 Michael Burke 2018-04-30 19:53:55 UTC
Takayoshi 

PTAL https://github.com/openshift/openshift-docs/pull/8985

Comment 5 Takayoshi Kimura 2018-05-09 02:01:13 UTC
Reviewed.

Comment 6 Michael Burke 2018-10-16 15:50:30 UTC
Closing Changes are live and since modified. Please let me know if we need to reopen


Note You need to log in before you can comment on or make changes to this bug.